export class BocProvider {
  public async queryRates() {
    const url = new URL("https://proxy.azurlogic.dev/https://www.boc.cn/sourcedb/whpj/index.html")
    let headers = new Headers()
    headers.set("User-Agent", 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/100.0.4896.127 Safari/537.36')
    headers.set("Accept", 'text/html,application/xhtml+xml,application/xml;q=0.9,image/avif,image/webp,image/apng,*/*;q=0.8,application/signed-exchange;v=b3;q=0.9')
    headers.set("Accept-Language", 'en-US,en;q=0.9')
    headers.set("Accept-Encoding", 'gzip, deflate, br')
    headers.set("Connection", 'keep-alive')
    headers.set("Upgrade-Insecure-Requests", '1')
    headers.set("Sec-Fetch-Dest", 'document')
    headers.set("Sec-Fetch-Mode", 'navigate')
    headers.set("Sec-Fetch-Site", 'none')
    headers.set("Sec-Fetch-User", '?1')
    headers.set("Host", url.host)
    headers.set("Origin", url.origin)
    headers.set("Referer", url.href)
    const request = new Request(url.toString(), {
      method: "GET",
      headers,
      body: null,
      redirect: 'manual',
    })
    const resp = await fetch(request)
    console.log(resp)
    return resp.body
  }
}
